summaryrefslogtreecommitdiffstats
path: root/ci/docker_run.sh
diff options
context:
space:
mode:
authorMatthewLi <matthew.lijun@huawei.com>2016-04-11 22:27:16 -0400
committerMatthewLi <matthew.lijun@huawei.com>2016-04-11 22:27:16 -0400
commitbdd42e03b0e8ce99888d8ead6a622113af6d2ab5 (patch)
tree07e99e27929e97a6c45e87c5c54698e7b4707a09 /ci/docker_run.sh
parente42f39095b44afb964e17abc9a4a57614105406e (diff)
unit ci docker test entrance for different test suites
JIRA: BOTTLENECK-48 Change-Id: I317c374166c51612be2aaa934738c9c50068c6b1 Signed-off-by: MatthewLi <matthew.lijun@huawei.com>
Diffstat (limited to 'ci/docker_run.sh')
-rwxr-xr-xci/docker_run.sh36
1 files changed, 36 insertions, 0 deletions
diff --git a/ci/docker_run.sh b/ci/docker_run.sh
new file mode 100755
index 00000000..89300d4f
--- /dev/null
+++ b/ci/docker_run.sh
@@ -0,0 +1,36 @@
+#!/bin/bash
+##############################################################################
+# Copyright (c) 2015 Huawei Technologies Co.,Ltd and others.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+
+set -ex
+
+docker build -t opnfv/bottlenecks ${BOTTLENECKS_TOP_DIR}/ci/docker/
+
+if [ x"${GERRIT_REFSPEC_DEBUG}" != x ]; then
+ opts="--privileged=true"
+ BOTTLENECKS_BRANCH=${GERRIT_REFSPEC_DEBUG}
+else
+ opts="--privileged=true --rm"
+ BOTTLENECKS_BRANCH=${GIT_BRANCH##origin/}
+fi
+
+envs="-e INSTALLER_TYPE=${INSTALLER_TYPE} -e INSTALLER_IP=${INSTALLER_IP} -e NODE_NAME=${NODE_NAME} -e EXTERNAL_NET=${EXTERNAL_NETWORK} -e BOTTLENECKS_BRANCH=${BOTTLENECKS_BRANCH} -e GERRIT_REFSPEC_DEBUG=${GERRIT_REFSPEC_DEBUG} -e BOTTLENECKS_DB_TARGET=${BOTTLENECKS_DB_TARGET} -e PACKAGE_URL=${PACKAGE_URL}"
+volumes="-v ${BOTTLENECKS_TOP_DIR}:${BOTTLENECKS_TOP_DIR}"
+run_testsuite=${BOTTLENECKS_TOP_DIR}/run_tests.sh -s ${SUITE_NAME}
+
+echo ${envs} ${ops} ${volumes}
+
+# Run docker
+cmd="sudo docker run ${opts} ${envs} ${volumes} opnfv/bottlenecks ${run_testsuite}"
+echo "Bottlenecks: Running docker cmd: ${cmd}"
+${cmd}
+
+echo "Bottlenecks: done!"
+
+set +ex